- name: Check role variables.
  assert:
    that:
      - key is regex('^[A-Z_]+$')

- name: Remove systemd unit.
  become: true
  systemd:
    name: auditwatch@{{ key | lower }}.timer
    enabled: no
    state: stopped
  ignore_errors: true

- name: Remove auditwatch configuration.
  become: true
  file:
    path: "{{ auditwatch_config_dir }}/{{ key | lower }}"
    state: absent

- name: Remove auditwatch checkpoint file.
  become: true
  file:
    path: "/var/lib/misc/auditwatch-{{ key | lower }}"
    state: absent

- name: Disable audit rule.
  become: true
  lineinfile:
    path: "{{ auditwatch_auditd_config_file }}"
    line: "{{ rule }} -k {{ key }}"
    state: absent
  notify: reload_auditd
